#ifndef INPUTHANDLER_H
#define INPUTHANDLER_H

#include <GLFW/glfw3.h>
#include "matrixMath.h"
#include "sceneGraph.h"

extern const GLfloat pi; 
extern bool exitRequested;
extern GLFWwindow *window;
extern vec3 origin;
extern vec3 cameraPosition;
extern vec3 cameraTravelPosition;
extern vec3 objectPosition;
extern GLfloat radius;
extern SceneNode *rootNode;
extern bool cameraTraveling;

void handleInputs(double deltaTime);
void keyboardHandler(GLFWwindow *window, int key, int scancode, int action, int mods);
void handleCameraTravel();
void travelCamera(vec3 newPosition);

#endif 