#ifndef OBJECTHANDLER_H
#define OBJECTHANDLER_H

#include "wavefrontobj.h" 
#include "wavefrontobj.h"
#include <GL/glew.h>
#include <stdlib.h>
#include <stdio.h>
#include <assert.h>

typedef struct {
    GLuint vao;
    GLuint vbo;
	ParsedObjFile* object;
} ObjectData;

extern void load_object(ObjectData* objectData);
extern ObjectData* readObjFiles(char** path, int numModels, int* count);
extern ObjectData* readSingleObjFile(char* path);
extern void draw_object(ObjectData* objectData);

#endif